NTDPAL(1)

NAME
ntdpal - Provides Primer3's alignment functionality

SYNOPSIS

ntdpal [-g gval] [-l lval] [-m mval] [-f1, f2, f3] [-p] [-s] [-e] {seq1} {seq2} {mode}

DESCRIPTION

Ntdpal (NucleoTide Dynamic Programming ALignment) is a stand-alone program that provides Primer3's alignment functionality (local, a.k.a. Smith-Waterman, global, a.k.a. Needleman-Wunsch, plus "half global").

OPTIONS

-g gval
    gval is a (positive) float (.01 precision) specifying penalty for creating a gap respectively (the penalties are subtracted from the output score)

-l val
    lval is a (positive) float (.01 precision) specifying penalty for lengthening a gap respectively (the penalties are subtracted from the output score)

-a
    Causes the scoring matrix to be modified by dpal_set_ambiguity_codes.

-e
    Causes the end position of the alignment in both sequences to be printed. Do not confuse with the 'e' mode.

-f1, -f2, -f3
    Force specific implementations. -f2 forces use an implementation that might provide more informative error messages, possibly at the expense of some speed.

-h
    Use a different scoring matrix: G and C matches = 3, A and T = 2, and mismatches = -0.5. (The default scoring matrix assigns 1 to a match, and -1 to a mismatch.)

-p
    Causes the alignment to be displayed on stderr.

-s
    causes only the score to printed.

-m mval
    is the maximum allowed gap (default is 3).

seq1 and seq2
    are the sequences to be aligned.

mode
    is one of g, G, l, or L specifying a global, global end-anchored, local, or local end-anchored alignment respectively. For backward compatibility e is equivalent to G.

REFERENCE

Please cite Rozen, S., Skaletsky, H. "Primer3 on the WWW for general users and for biologist programmers." In S. Krawetz and S. Misener, eds. Bioinformatics Methods and Protocols in the series Methods in Molecular Biology. Humana Press, Totowa, NJ, 2000, pages 365-386.

SEE ALSO

primer3_core(1) oligotm(1)

COPYRIGHT
Copyright © 1996,1997,1998,1999,2000,2001,2004,2006,2007,2008 Whitehead Institute for Biomedical Research, Steve Rozen (http://jura.wi.mit.edu/rozen), Helen Skaletsky

All rights reserved. On Debian-based systems, please consult /usr/share/doc/primer3/copyright to read the licence of ntdpal.

This manual page was written by Charles Plessy <plessy@debian.org> for the Debian(TM) system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the same terms as oligotm itself.